Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.borg.model.entity
Class Appointment

    java.lang.Object
      net.sf.borg.model.entity.KeyedEntity<T>
          net.sf.borg.model.entity.EncryptableEntity<Appointment>
              net.sf.borg.model.entity.Appointment

All Implemented Interfaces:
  Serializable, CalendarEntity

    public class Appointment

extends EncryptableEntity<Appointment>
implements CalendarEntity

The Appointment Entity

See Also:
  Serialized Form

Constructor Summary
`Appointment()`

Method Summary
`protected Appointment` | `clone()`
`void` | `decrypt(String password)` decrypt the entity.
`void` | `encrypt(String password)` encrypt the entity.
`String` | `getCategory()` Gets the category.
`String` | `getColor()` Gets the color.
`Date` | `getDate()` Gets the date.
`Integer` | `getDuration()` Gets the duration.
`String` | `getFrequency()` Gets the repeat frequency.
`Integer` | `getHoliday()` Gets the holiday flag (1 = holiday).
`Date` | `getNextTodo()` Gets the next todo date.
`boolean` | `getPrivate()` Gets the private flag (1 = private).
`String` | `getReminderTimes()` Gets the reminder times.
`boolean` | `getRepeatFlag()` Gets the repeat flag.
`Date` | `getRepeatUntil()` get the Repeat Until date recurrence setting
`Vector<String>` | `getSkipList()` Gets the skip list - a list of repeat occurrences that are marked as skipped.
`String` | `getText()` Gets the text.
`Integer` | `getTimes()` Gets the number of repeat times.
`boolean` | `getTodo()` Gets the todo flag.
`String` | `getUntimed()` Gets the untimed flag.
`Integer` | `getVacation()` Gets the vacation - 0 = not vacation 1 = vacation day, 2 = half day
`void` | `setCategory(String xx)` Sets the category.
`void` | `setColor(String xx)` Sets the color.
`void` | `setDate(Date xx)` Sets the date.
`void` | `setDuration(Integer xx)` Sets the appointment duration in minutes.
`void` | `setFrequency(String xx)` Sets the repeat frequency.
`void` | `setHoliday(Integer xx)` Sets the holiday flag (1 = holiday).
`void` | `setNextTodo(Date xx)` Sets the next todo - the date of the next todo for repeating todos
`void` | `setPrivate(boolean xx)` Sets the private flag (1 = private).
`void` | `setReminderTimes(String xx)` Sets the reminder times.
`void` | `setRepeatFlag(boolean xx)` Sets the repeat flag.
`void` | `setRepeatUntil(Date repeatUntil)` set the repeat until date recurrence setting
`void` | `setSkipList(Vector<String> xx)` Sets the skip list - a list of repeat occurrences that are marked as skipped..
`void` | `setText(String xx)` Sets the text.
`void` | `setTimes(Integer xx)` Sets the number of repeat times.
`void` | `setTodo(boolean xx)` Sets the todo flag
`void` | `setUntimed(String xx)` Sets the untimed flag.
`void` | `setVacation(Integer xx)` Sets the vacation - 0 = not vacation 1 = vacation day, 2 = half day

Methods inherited from class net.sf.borg.model.entity.EncryptableEntity
`isEncrypted, setEncrypted`

Methods inherited from class net.sf.borg.model.entity.KeyedEntity
`copy, getKey, setKey`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Appointment

    public Appointment()

Method Detail

### getDate

    public Date getDate()

  Description copied from interface: `CalendarEntity`
  Gets the date.

  Specified by:
    `getDate` in interface `CalendarEntity`
  Returns:
    the date

### setDate

    public void setDate(Date xx)

  Sets the date.

  Parameters:
    `xx` - the new date

### getDuration

    public Integer getDuration()

  Description copied from interface: `CalendarEntity`
  Gets the duration.

  Specified by:
    `getDuration` in interface `CalendarEntity`
  Returns:
    the duration

### setDuration

    public void setDuration(Integer xx)

  Sets the appointment duration in minutes.

  Parameters:
    `xx` - the new duration

### getText

    public String getText()

  Description copied from interface: `CalendarEntity`
  Gets the text.

  Specified by:
    `getText` in interface `CalendarEntity`
  Returns:
    the text

### setText

    public void setText(String xx)

  Sets the text.

  Parameters:
    `xx` - the new text

### getSkipList

    public Vector<String> getSkipList()

  Gets the skip list - a list of repeat occurrences that are marked as skipped.

  Returns:
    the skip list

### setSkipList

    public void setSkipList(Vector<String> xx)

  Sets the skip list - a list of repeat occurrences that are marked as skipped..

  Parameters:
    `xx` - the new skip list

### getNextTodo

    public Date getNextTodo()

  Description copied from interface: `CalendarEntity`
  Gets the next todo date.

  Specified by:
    `getNextTodo` in interface `CalendarEntity`
  Returns:
    the next todo date

### setNextTodo

    public void setNextTodo(Date xx)

  Sets the next todo - the date of the next todo for repeating todos

  Parameters:
    `xx` - the new next todo

### getVacation

    public Integer getVacation()

  Gets the vacation - 0 = not vacation 1 = vacation day, 2 = half day

  Returns:
    the vacation flag

### setVacation

    public void setVacation(Integer xx)

  Sets the vacation - 0 = not vacation 1 = vacation day, 2 = half day

  Parameters:
    `xx` - the new vacation flag

### getHoliday

    public Integer getHoliday()

  Gets the holiday flag (1 = holiday).

  Returns:
    the holiday flag

### setHoliday

    public void setHoliday(Integer xx)

  Sets the holiday flag (1 = holiday).

  Parameters:
    `xx` - the new holiday flag

### getPrivate

    public boolean getPrivate()

  Gets the private flag (1 = private).

  Returns:
    the private flag (1 = private)

### setPrivate

    public void setPrivate(boolean xx)

  Sets the private flag (1 = private).

  Parameters:
    `xx` - the new private flag

### getTimes

    public Integer getTimes()

  Gets the number of repeat times.

  Returns:
    the times

### setTimes

    public void setTimes(Integer xx)

  Sets the number of repeat times.

  Parameters:
    `xx` - the new times

### getFrequency

    public String getFrequency()

  Gets the repeat frequency. See Repeat.java

  Returns:
    the repeat frequency

### setFrequency

    public void setFrequency(String xx)

  Sets the repeat frequency. See Repeat.java

  Parameters:
    `xx` - the new repeat frequency

### getTodo

    public boolean getTodo()

  Description copied from interface: `CalendarEntity`
  Gets the todo flag.

  Specified by:
    `getTodo` in interface `CalendarEntity`
  Returns:
    the todo flag

### setTodo

    public void setTodo(boolean xx)

  Sets the todo flag

  Parameters:
    `xx` - the new todo

### getColor

    public String getColor()

  Description copied from interface: `CalendarEntity`
  Gets the color.

  Specified by:
    `getColor` in interface `CalendarEntity`
  Returns:
    the color

### setColor

    public void setColor(String xx)

  Sets the color.

  Parameters:
    `xx` - the new color

### getRepeatFlag

    public boolean getRepeatFlag()

  Gets the repeat flag.

  Returns:
    the repeat flag

### setRepeatFlag

    public void setRepeatFlag(boolean xx)

  Sets the repeat flag.

  Parameters:
    `xx` - the new repeat flag

### getCategory

    public String getCategory()

  Gets the category.

  Returns:
    the category

### setCategory

    public void setCategory(String xx)

  Sets the category.

  Parameters:
    `xx` - the new category

### getReminderTimes

    public String getReminderTimes()

  Gets the reminder times. See ReminderTimes.java

  Returns:
    the reminder times

### setReminderTimes

    public void setReminderTimes(String xx)

  Sets the reminder times. See ReminderTimes.java

  Parameters:
    `xx` - the new reminder times

### getUntimed

    public String getUntimed()

  Gets the untimed flag. Y = untimed

  Returns:
    the untimed

### setUntimed

    public void setUntimed(String xx)

  Sets the untimed flag. Y = untimed

  Parameters:
    `xx` - the new untimed

### getRepeatUntil

    public Date getRepeatUntil()

  get the Repeat Until date recurrence setting

  Returns:
    the repeat until date

### setRepeatUntil

    public void setRepeatUntil(Date repeatUntil)

  set the repeat until date recurrence setting

  Parameters:
    `repeatUntil` - the repeat until date

### clone

    protected Appointment clone()

  Overrides:
    `clone` in class `KeyedEntity<Appointment>`

### decrypt

    public void decrypt(String password)
                 throws Exception

  Description copied from class: `EncryptableEntity`
  decrypt the entity. This will use the password to get the borg encryption key from the keystore and then will decrypt those fields in the entity that are encrypted. the entity encrypted flag will be set to false.

  Specified by:
    `decrypt` in class `EncryptableEntity<Appointment>`
  Parameters:
    `password` - the keystore password
  Throws:
    `Exception`

### encrypt

    public void encrypt(String password)
                 throws Exception

  Description copied from class: `EncryptableEntity`
  encrypt the entity. This will use the password to get the borg encryption key from the keystore and then will encrypt those fields in the entity that are encryptable. the entity encrypted flag will be set to true.

  Specified by:
    `encrypt` in class `EncryptableEntity<Appointment>`
  Parameters:
    `password` - the keystore password
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated September 24 2010 by mbb using Apache Ant version 1.7.1 compiled on June 27 2008 and Java version 1.6.0_20 from Sun Microsystems Inc. on Linux i386 2.6.24-28-generic